## AgsRecallRecycling

AgsRecallRecycling — The recall base class of recycling context

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsRecallRecycling * | ags_recall_recycling_new ()

## Properties

guint | audio-channel | Read / Write
AgsAudioSignal * | child-destination | Read / Write
gpointer | child-source | Write
AgsRecycling * | destination | Read / Write
AgsRecycling * | source | Read / Write

## Types and Values

enum | AgsRecallRecyclingFlags

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallRecycling
                ├── AgsFxAnalyseRecycling
                ├── AgsFxBufferRecycling
                ├── AgsFxNotationRecycling
                ├── AgsFxEnvelopeRecycling
                ├── AgsFxEq10Recycling
                ├── AgsFxHighPassRecycling
                ├── AgsFxLadspaRecycling
                ├── AgsFxLfoRecycling
                ├── AgsFxLowPassRecycling
                ├── AgsFxPatternRecycling
                ├── AgsFxPeakRecycling
                ├── AgsFxPlaybackRecycling
                ├── AgsFxTremoloRecycling
                ├── AgsFxTwoPassAliaseRecycling
                ├── AgsFxVolumeRecycling
                ├── AgsFxWahWahRecycling
                ╰── AgsGenericRecallRecycling

## Includes

    #include <ags/audio/ags_recall_recycling.h>

## Description

AgsRecallRecycling acts as dynamic recycling recall. It usually does not do any audio processing but providing AgsRecallAudioSignal child recalls.

## Functions

### ags_recall_recycling_new ()

    AgsRecallRecycling *
    ags_recall_recycling_new ();

Creates a new instance of AgsRecallRecycling

#### Returns

the new AgsRecallRecycling

Since: 3.0.0

## Types and Values

### enum AgsRecallRecyclingFlags

Enum values to control the behavior or indicate internal state of AgsRecallRecycling by enable/disable as flags.

#### Members

AGS_RECALL_RECYCLING_GARBAGE_COLLECTOR | not used |
AGS_RECALL_RECYCLING_MAP_CHILD_DESTINATION | not used |
AGS_RECALL_RECYCLING_MAP_CHILD_SOURCE | not used |
AGS_RECALL_RECYCLING_CREATE_DESTINATION_ON_MAP_SOURCE | not used |

## Property Details

### The `“audio-channel”` property

      “audio-channel”            guint

The assigned destination recycling.

Owner: AgsRecallRecycling

Flags: Read / Write

Allowed values: <= 65536

Default value: 0

Since: 3.0.0

### The `“child-destination”` property

      “child-destination”        AgsAudioSignal *

The assigned destination audio signal.

Owner: AgsRecallRecycling

Flags: Read / Write

Since: 3.0.0

### The `“child-source”` property

      “child-source”             gpointer

The assigned source audio signal.

[transfer full]

Owner: AgsRecallRecycling

Flags: Write

Since: 3.0.0

### The `“destination”` property

      “destination”              AgsRecycling *

The assigned destination recycling.

Owner: AgsRecallRecycling

Flags: Read / Write

Since: 3.0.0

### The `“source”` property

      “source”                   AgsRecycling *

The assigned source recycling.

Owner: AgsRecallRecycling

Flags: Read / Write

Since: 3.0.0